﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinSchedule;
using Infragistics.Win.UltraWinSchedule.DayView;

namespace WindowsFormsApplication71
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            ultraCalendarInfo1.Appointments.Add(DateTime.Now, DateTime.Now.AddHours(1), "Test App");
        }
        
        private void ultraDayView1_MouseMove(object sender, MouseEventArgs e)
        {
            if (e.Button == MouseButtons.Left && ultraCalendarInfo1.SelectedAppointments.Count == 1 && ultraOptionSet1.Value.ToString() == "Extended")
            {
                ultraMonthViewSingle1.DoDragDrop(ultraCalendarInfo1.SelectedAppointments[0], DragDropEffects.All);
            }
        }

        private void ultraMonthViewSingle1_DragOver(object sender, DragEventArgs e)
        {
            e.Effect = DragDropEffects.Copy;
        }

        private void ultraMonthViewSingle1_DragDrop(object sender, DragEventArgs e)
        {
            if (e.Data.GetDataPresent(typeof(Appointment)))
            {
                Appointment data = e.Data.GetData(typeof(Appointment)) as Appointment;
                ultraMonthViewSingle1.CalendarInfo.Appointments.Add(data.StartDateTime, data.EndDateTime, data.Subject);
            }
        }

        private void ultraMonthViewSingle1_AppointmentsDragging(object sender, AppointmentsDraggingEventArgs e)
        {
            e.AllowCopy = true;
            e.AllowOwnerChange = true;
            ultraMonthViewSingle1.DoDragDrop(e, DragDropEffects.All);
        }
    }
}
